# @summary
#   profile to configure mountpoints
#
# @param mounts
#   hash with all mountpoints
#
class profile::tails::mounts (
  Hash $mounts = {},
) {
  $mounts.each | String $mountpoint, Hash $mountparams | {
    mount { $mountpoint:
      *      => $mountparams,
      before => Class['profile::tails::base'],
    }
  }
}
