# @summary
#   A role for translate
class role::tails::translate {
  include profile::tails::mailalias
  include profile::tails::msmtp
  include profile::tails::weblate

  # XXX workaround for sysadmin#17988, remove once node is upgraded to Bookworm
  profile::tails::git::safe { "${weblate::params::weblate_data_dir}/vcs/tails/index": }
  profile::tails::git::safe { "${weblate::params::weblate_repos_dir}/integration": }
  profile::tails::git::safe { "${weblate::params::weblate_repos_dir}/staging": }

  # XXX attempt of workaround for sysadmin#17925, maybe migrate to puppet-weblate
  cron { 'Unlock weblate translations':
    command => '/usr/bin/podman exec -t -i weblate weblate unlock_translation tails',
    user    => 'weblate',
    minute  => 0,
    hour    => 1,
  }
}

