# @summary
#   A role for whisperback
class role::tails::whisperback {
  include profile::tails::whisperback

  # XXX Remove once enough time has passed after deployment of the new address
  # below (see: sysadmin#18080)
  profile::tails::whisperback::onion { 'tails_whisperback_relay':
    public_key    => base64('decode', lookup('whisperback_old_public_key', String, 'first', undef)),
    secret_key    => Sensitive(base64('decode', lookup('whisperback_old_secret_key', String, 'first', undef))),
    onion_address => lookup('whisperback_old_onion_address', String, 'first', undef),
  }

  profile::tails::whisperback::onion { 'whisperback-relay':
    public_key    => base64('decode', lookup('whisperback_public_key', String, 'first', undef)),
    secret_key    => Sensitive(base64('decode', lookup('whisperback_secret_key', String, 'first', undef))),
    onion_address => lookup('whisperback_onion_address', String, 'first', undef),
  }
}

