# @summary
#   Entrypoint for the Tails (legacy) monitoring class
#
# @param type
#   Whether this node is an agent, master, or unmonitored.
class monitoring (
  Enum['agent', 'master', 'unmonitored'] $type = 'agent',
) {
  if $type != 'unmonitored' {
    class { "monitoring::${type}": }
  }
}
