# @summary
#   Manage sudo.
#
# @example
#   include profile::tails::sudo
#
class profile::tails::sudo (
) {
  include profile::tails::sysadmins

  class { 'sudo':
    config_file_replace => false,
  }

  sudo::conf { 'mailto':
    content => "Defaults    mailto=\"${profile::tails::sysadmins::email}\"",
  }

  sudo::conf { 'group-sudo':
    content => '%sudo   ALL=(ALL:ALL) NOPASSWD : ALL',
  }
}
