# @summary
#   Role for Tails physical machines
#
# @param munin
#   Whether munin should be deployed in this node
class role::tails::physical (
  Boolean $munin = false,
) {
  include profile::tails::backuplvs
  include profile::tails::dropbear
  include profile::tails::libvirt
  include profile::tails::modprobe
  include profile::tails::msmtp
  include profile::tails::vpn

  if $munin {
    include profile::tails::munin
  }
}
